unit unitdirectorylist;

{$mode objfpc}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, Buttons, StdCtrls, EditBtn;

type

  { TDirectories }

  TDirectories = class(TForm)
    Label1: TLabel;
    LogsDirectoryDisplay: TDirectoryEdit;
    Button1: TButton;
    TZdatabasepathDisplay: TLabeledEdit;
    FirmwareFilesPathDisplay: TLabeledEdit;
    DataDirectoryDisplay: TLabeledEdit;
    ConfigfilePathDisplay: TLabeledEdit;
    procedure LogsDirectoryDisplayChange(Sender: TObject);
    procedure SelectLogsDirClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Directories: TDirectories;

implementation

uses appsettings;

{ TDirectories }

procedure TDirectories.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TDirectories.SelectLogsDirClick(Sender: TObject);
begin
end;

procedure TDirectories.LogsDirectoryDisplayChange(Sender: TObject);
begin
  {Allow changes to setting}
  appsettings.LogsDirectory:=LogsDirectoryDisplay.Directory;
  {Save setting}
  vConfigurations.WriteString('Directories','LogsDirectory',appsettings.LogsDirectory);
end;

procedure TDirectories.FormShow(Sender: TObject);
begin

  LogsDirectoryDisplay.Text:=appsettings.LogsDirectory;
  TZdatabasepathDisplay.Caption:=appsettings.TZDirectory;
  FirmwareFilesPathDisplay.Caption:=appsettings.FirmwareDirectory;
  DataDirectoryDisplay.Caption:=appsettings.DataDirectory;
  ConfigfilePathDisplay.Caption:=appsettings.ConfigFilePath;

end;

initialization
  {$I unitdirectorylist.lrs}

end.

